<?php

declare(strict_types=1);

namespace Pinpoint\TaxSwitch\Api;

use Magento\Framework\View\Element\Block\ArgumentInterface;

/**
 * Tax switch view model interface
 */
interface SwitchViewModelInterface extends ArgumentInterface
{
    /**
     * @return bool
     */
    public function isEnabled(): bool;

    /**
     * @return string
     */
    public function getLabelElementClasses(): string;

    /**
     * @return string
     */
    public function getInputElementId(): string;

    /**
     * @return bool
     */
    public function isInputElementChecked(): bool;
}
